Summary:  Web based Javascript HTML WYSIWYG editor control
Name:     tinymce
Version:  4.5.1
Release:  8%{?dist}
License:  LGPLv2+
URL:      https://www.tinymce.com
Source0:  https://download.ephox.com/tinymce/community/%{name}_%{version}_dev.zip

BuildRequires:  web-assets-devel
Requires:       web-assets-filesystem
BuildArch:      noarch

%description
TinyMCE is a platform independent web based Javascript HTML WYSIWYG
editor control released as by Moxiecode Systems AB. It has the ability 
to convert HTML TEXTAREA fields or other HTML elements to editor instances.
TinyMCE is very easy to integrate into other CMS systems.

%prep
%setup -q -n %{name}

%build
# Nothing here, since it is webapp
# so, nothing has to be compiled

%install
mkdir -p ${RPM_BUILD_ROOT}%{_jsdir}
cp -pr js/tinymce ${RPM_BUILD_ROOT}%{_jsdir}
# Included as a doc
rm -f ${RPM_BUILD_ROOT}%{_jsdir}/tinymce/license.txt
# Remove empty files to make rpmlint happy
find ${RPM_BUILD_ROOT} -empty -exec rm -f {} \;
# Set the appropriate permissions, since unzip doesn't
chmod -R 755 ${RPM_BUILD_ROOT}%{_jsdir}/tinymce
find ${RPM_BUILD_ROOT}%{_jsdir}/tinymce -type f | xargs chmod 644
# Remove spellchecker plugin, we have separate package for that
rm -rf ${RPM_BUILD_ROOT}%{_jsdir}/tinymce/plugins/spellchecker

%files
%doc changelog.txt js/tinymce/license.txt
%{_jsdir}/tinymce

%changelog
* Fri Jan 31 2020 Fedora Release Engineering <releng@fedoraproject.org> - 4.5.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.5.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 4.5.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 4.5.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 4.5.1-4
- Escape macros in %%changelog

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 4.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Dec 27 2016 Kevin Fenzi <kevin@scrye.com> - 4.5.1-1
- Update to 4.5.1.

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.5.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Jan 14 2014 Adam Williamson <awilliam@redhat.com> - 3.5.10-1
- oh look, there's an even newer upstream release

* Tue Jan 14 2014 Adam Williamson <awilliam@redhat.com> - 3.5.9-2
- web asset compliance: install to %%_jsdir/

* Tue Jan 14 2014 Adam Williamson <awilliam@redhat.com> - 3.5.9-1
- new upstream release

* Fri Aug 23 2013 Adam Williamson <awilliam@redhat.com> - 3.5.8-1
- bump to latest upstream release
- drop pre-build Flash blobs, patch media plugin not to try and use
  moxieplayer

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.3.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.3.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.3.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.4.3.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 28 2011 Parag Nemade <pnemade AT fedoraproject DOT org> - 3.4.3.2-4
- Rebuild this package.

* Mon Jul 11 2011 Neal Gompa <ngompa13{%}gmail{*}com> - 3.4.3.2-3
- Update to 3.4.3.2
- Remove hard dependency on httpd
- Change to new source URL

* Mon Jun 28 2010 Neal Gompa <ngompa13{%}gmail{*}com> - 3.3.7-2
- Remove explicit unzip BuildRequires

* Sun Jun 27 2010 Neal Gompa <ngompa13{%}gmail{*}com> - 3.3.7-1
- Initial package created

